Bug Hunting Session
Bug 35125 - GETPIVOTDATA Datapilot - Enhance Help Section Manual - L10N
Summary: GETPIVOTDATA Datapilot - Enhance Help Section Manual - L10N
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-08 14:12 UTC by famo
Modified: 2015-02-09 16:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example Spreadsheet (15.13 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-03-08 14:12 UTC, famo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description famo 2011-03-08 14:12:29 UTC
Created attachment 44250 [details]
Example Spreadsheet

My explanation refers to the attached OD Spreadsheet: Issue_GETPIVOTDATA_01.ods.

== Explanation ==
In Issue_GETPIVOTDATA_01.ods
is a Datpilot with:
• Column Fields: Rechnungs-Datum
• Row Fields: Name, Rufnummer
• Data Fields: Kosten
on the Row Field "Name" is set a User-defined subtotal (sum) which is also visible in the datapilot.

I want to refer to this subtotals using the GETPIVOTDATA formula.
I work under the german locale, UI, and environment.
So I tried:
=GETPIVOTDATA($A$1;"Name[Name1;Summe]")
which doesn't work (#REF: Fehler: Ungültiger Bezug).
But:
=GETPIVOTDATA($A$1;"Name[Name1;Sum]")
does work.
Although in my german locale, I cannot see the word "sum" in my datapilot.

== Reason ==
My guess, the english "sum" in GETPIVOTDATA is necessary in order to assure the inter-language compatibility. That is if I would use "Summe" the formula wouldn't work for someone in english locale since there would be no "Summe" in /his/ datapilot.

== Resolution / Proposal ==
My proposal: the help section to the GETPIVOTDATA formula, should be updated for non-english locales.
German Example/Proposal:
Wenn mit der Funktion PIVOTDATENZUORDNEN auf benutzerdefinierte Teilergebnisse im Datenpiloten verwiesen werden soll, so müssen diese mit ihrem englischen Titel referenziert werden. Benutzen sie dafür folgende Tabelle:
deutsch | englisch
Summe | Sum
Mittelwert | Average
Produkt | Product
Max | Max
...
..
.
Beispiel:
=PIVOTDATENZUORDNEN ($A$1;"Name[Name1;Sum]") anstelle von 
-=PIVOTDATENZUORDNEN ($A$1;"Name[Name1;Summe]")-

== End ==
Comment 1 famo 2011-03-08 14:15:35 UTC
added l10n keyword
Comment 2 Don't use this account, use tml@iki.fi 2011-03-08 22:48:57 UTC
Is this the same in LibreOffice 3.3.1?
Comment 3 famo 2011-03-09 01:46:00 UTC
> Is this the same in LibreOffice 3.3.1?

Yes, this is also in LO 3.3.1.
Comment 4 famo 2011-03-09 02:10:33 UTC
(In reply to comment #3)
> > Is this the same in LibreOffice 3.3.1?
> 
> Yes, this is also in LO 3.3.1.

And in OpenOffice.org 3.2.0
Comment 5 famo 2011-03-11 11:47:07 UTC
I just found this similar Issue:
http://openoffice.org/bugzilla/show_bug.cgi?id=80659
from 2007 on the OOo Bug-tracker.
Comment 6 famo 2011-03-22 05:31:47 UTC
added Kohei Yoshida to CC

@Kohei:
Please take a look, thanks.
Comment 7 Björn Michaelsen 2011-12-23 11:51:24 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 8 famo 2012-01-14 06:35:40 UTC
Missing information in help section is still valid for LO 3.5 beta.
Comment 9 famo 2012-01-14 07:02:39 UTC
Maybe in the english help section should also added a note.

Proposal:

Notice:
If GETPIVOTDATA is used to reference to user-definied subtotals (such as Average, Product, Min/Max, etc.), it is necessary to reference them with their english notation - independent of the current user interface or document language.
Further information, including a translated notation table, is supplied in the (non-english) localized help section of this function.
Comment 10 Andras Timar 2012-01-23 08:54:32 UTC
In http://help.libreoffice.org/Calc/Spreadsheet_Functions#GETPIVOTDATA I read this: 

A function name can be added in the form Field[Item;Function], which will cause the constraint to match only subtotal values which use that function. The possible function names are Sum, Count, Average, Max, Min, Product, Count (Numbers only), StDev (Sample), StDevP (Population), Var (Sample), and VarP (Population), case-insensitive. 

So maybe it is not necessary to add a note, but translators should be warned that they should not translate function names in this sentence.
Comment 11 famo 2012-01-23 11:20:16 UTC
(In reply to comment #10)
> So maybe it is not necessary to add a note, but translators should be warned
> that they should not translate function names in this sentence.
Yes, this would be indeed a good alternative.
Comment 12 QA Administrators 2014-06-25 17:38:01 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 13 famo 2014-06-26 13:34:11 UTC
Yes, this is still valid for/in LO 4.2


adding Eike Rathke to CC


Maybe someone from the translation team can work on this?
Comment 14 sophie 2015-02-09 16:25:28 UTC
Hi, I was not aware of this issue. I'll send a mail to the l10n team, the string is in:
Help/scalc/01.po 
04060109.xhp par_id3168736 help.text
KeyID: Haoyc
Maybe to make sure it's not translated, adding a comment to the code would be great :) I'll add a note in our translation guide.
Closing as it's up to the l10n teams to update their translation. Sophie